Summary: C library for multiple precision complex arithmetic
Name: libmpc
Version: 1.1.0
#Release: 1%{?_dist_release}
Release: 10.14%{?_dist}1a
License: LGPLv2+
Group: Development/Tools
URL: http://www.multiprecision.org/
Source0: http://www.multiprecision.org/mpc/download/mpc-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires: gmp-devel mpfr-devel texinfo
BuildRequires: gmp-devel mpfr-devel
Requires: gmp mpfr

#BuildArch: fat
Vendor: OSX WorkShop
Distribution: OSX WorkShop

%description

MPC is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result. It is
built upon and follows the same principles as Mpfr.

%package devel
Summary: Header and shared development libraries for MPC
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mpfr-devel gmp-devel

%description devel
Header files and shared object symlinks for MPC is a C library.

%prep
%setup -q -n mpc-%{version}

%build
export CFLAGS="-O3 -arch x86_64 -mtune=core2 -I%{_includedir} -L%{_libdir}"
export CXXFLAGS="$CFLAGS"
export FFLAGS="$CFLAGS"
%configure \
	--host=%{_rpm_platform64} \
	--build=%{_rpm_platform64} \
	--target=%{_rpm_platform64}

make %{?_smp_mflags}
#%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}


rm -f $RPM_BUILD_ROOT/%{_libdir}/libmpc.{l,}a
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir
gzip ${RPM_BUILD_ROOT}/%{_infodir}/mpc.info

%clean
rm -rf $RPM_BUILD_ROOT

%post devel
if [ -f %{_infodir}/mpc.info.gz ]; then # for --excludedocs
   /usr/bin/install-info %{_infodir}/mpc.info.gz %{_infodir}/dir || :
fi

%preun devel
if [ $1 = 0 ]; then
   if [ -f %{_infodir}/mpc.info.gz ]; then # for --excludedocs
      /usr/bin/install-info --delete %{_infodir}/mpc.info.gz %{_infodir}/dir || :
   fi
fi

%files
%defattr(-,root,wheel,-)
%doc README NEWS COPYING.LIB
%{_libdir}/libmpc.*.dylib

%files devel
%defattr(-,root,wheel,-)
%{_libdir}/libmpc.dylib
%{_includedir}/mpc.h
%{_infodir}/*.info*

%changelog
* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 1.1.0-10.14hepx1a
- OSXWS 10.14 built with MacOSX WS 10.13

* Mon Apr 02 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 1.1.0-10.13hepx1b
- OSXWS 10.13

* Thu Dec 10 2015 KOBAYASHI Taizo <tkoba965@me.com> - 1.0.3-1
- new upstream release
- OSXWS 10.11

* Mon May 26 2014 KOBAYASHI Taizo <tkoba965@me.com> - 1.0.2-1
- new upstream release
- OSXWS 10.9

* Wed Apr 10 2013 KOBAYASHI Taizo <tkoba965@me.com> - 1.0.1-1
- Upstream 1.0.1
- OSXWS 10.8

* Fri Feb 03 2012 KOBAYASHI Taizo <tkoba965@me.com> - 0.9-1
- Upstream 0.9
- OSXWS 10.7

* Wed Sep 08 2010 KOBAYASHI Taizo <tkoba965@me.com> - 0.8.2-1
- Upstream 0.8.2
- modified for OSXWS

* Wed Jan 20 2010 Petr Machata <pmachata@redhat.com> - 0.8.1-1
- Upstream 0.8.1
  - acosh, asinh, atanh: swap of precisions between real and imaginary parts
  - atan: memory leak
  - log: wrong ternary value in data file; masked by bug in Mpfr 2.4.1
- Resolves: #555471 FTBFS libmpc-0.8-3.fc13

* Fri Nov 13 2009 Petr Machata <pmachata@redhat.com> - 0.8-3
- Require mpfr-devel, gmp-devel in -devel subpackage
- Don't pass --entry to install-info

* Thu Nov 12 2009 Petr Machata <pmachata@redhat.com> - 0.8-2
- Rename the package to libmpc, it's a better choice of name
- %%preun should uninstall mpc's info page, not make's
- Move info page to -devel
- BR on -devel packages
- Drop postscript documentation

* Thu Nov 12 2009 Petr Machata <pmachata@redhat.com> - 0.8-1
- Initial package.
